@import "../../_mixins.scss";
.device-logic-monitor-container {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  .integration-list {
    padding: 0 0 15px;
  }
  h3 {
    padding-left: 20px;
  }
  h4 {
    padding-left: 20px;
    border-bottom: 1px solid #ccc;
    padding-bottom: 5px;
  }
  .heading-add-account {
    font-family: var(--font-first);
    font-weight: 500;
    font-size: var(--font-m);
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    padding: 8px 14px;
    text-align: center;
    white-space: nowrap;
    margin: -25px -40px 15px -20px;
    min-width: 125px;
    background: var(--primary);
    border-color: var(--primary);
    color: var(--white-font);
  }
  .add-new-mapping {
    float: right;
    margin-top: -10px;
    margin-right: 5px;
  }
  .device-manufacturer__body-actions {
    padding: 20px;
    button {
      margin-right: 20px;
      min-width: unset;
      width: 95px;
    }
  }
  .device-manufacturer__body-fields .device-fields-group {
    display: flex;
    flex-wrap: wrap;
  }
  .disable-div {
    cursor: not-allowed;
    pointer-events: none;
    opacity: 0.8;
  }
  .loader {
    position: absolute;
    left: auto;
    top: auto;
    z-index: 999;
    width: 100%;
    height: 36%;
  }
  .spinner {
    display: flex;
    justify-content: center;
    width: 73%;
    height: 90%;
    img {
      margin: auto;
    }
  }
  .settings__notification {
    color: white;
    height: 30px;
    display: flex;
    align-items: center;
    padding-left: 15px;
    cursor: pointer;
    @include transitions(height 0.2s ease);
    &.settings__notification--fail {
      background: var(--danger);
    }
    &.settings__notification--success {
      background: var(--success);
    }
  }
  .mapping-list {
    .action-btn {
      margin-top: 25px;
    }
    h4 {
      padding-left: 10px;
      border-bottom: 1px solid #ccc;
      padding-bottom: 5px;
    }
    .no-data {
      padding: 10px;
    }
    .system_categories {
      display: flex;
      flex-wrap: wrap;
      .category {
        padding: 5px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        min-width: 200px;

        min-height: 90px;
        .bottom {
          .box {
            padding: 2px;
          }
        }

        .category-inner {
          padding: 5px;
          border: 1px solid #eef2f5;

          .react-tagsinput {
            background-color: #fff;
            overflow: hidden;
            padding-top: 5px;
            padding-left: 0 !important;
            white-space: normal;
            border: 0 !important ;
            .react-tagsinput-input {
              width: 0px !important;
            }
          }
          .box-heading {
            border-bottom: 1px solid #eef2f5;
            margin: -5px;
            padding: 5px;
          }
          .bottom {
            padding-top: 10px;
          }
        }
      }
      .no-category {
        font-weight: 700;
        text-align: center;
        line-height: 85px;
      }
    }

    .mapping-row {
      border: 1px solid #cccc;
      margin: 20px 5px;
      span {
        font-weight: 700;
      }

      .regex-heading {
        color: gray;
        font-size: var(--font-xs);
      }

      .box-body {
        padding: 0 15px;
      }
    }
    .left-panel {
      display: flex;
      border-bottom: 1px solid #ccc;
      background: var(--app-bg);
      .actions {
        margin-left: auto;
        z-index: 9;
        .remove-device-mapping {
          display: inline-block;
        }
      }
      .text {
        display: flex;
        align-items: center;
        .label-row {
          padding-right: 10px;
          display: flex;
        }
        .separator {
          padding: 0 10px 0 10px;
          color: var(--grey-border);
        }
      }
      .bold-heading {
        font-weight: 700;
        padding-left: 5px;
      }
    }
  }
  .select-error {
    color: #f00;
    padding: 10px;
  }

  .edit-btn-auth {
    width: 130px;
    margin: 0 0 10px 20px;
  }
  .config-names {
    padding: 20px;
    .react-tagsinput {
      height: 100px;
    }
    .select-error {
      padding: 0;
    }
    h4 {
      padding-left: 0;
    }
  }
}
.add-device-logic-monitor-setting {
  .integration-list {
    width: 100%;
    .select-div {
      width: 50%;
      padding-left: 20px;
    }
  }
  .device-manufacturer__body-fields {
    padding: 5px 20px 0 0;
    margin-bottom: 10px;
    .manufacturer-label {
      font-family: var(--font-first);
      font-size: 12.2px;
      font-weight: 500;
      font-style: normal;
      font-stretch: normal;
      letter-spacing: 0.1px;
      text-align: left;
      color: #222222;
      position: relative;
    }
    .device-fields-group {
      display: flow-root;
    }
    .manufacturer-from-connectwise {
      display: flex;
      .select-div-1 {
        width: 47%;
        padding-left: 20px;
      }
      .select-div-2 {
        width: 50%;
        padding-left: 40px;
      }
    }
  }
  .disable-div {
    pointer-events: none;
    opacity: 0.8;
  }
  .extra-cofig {
    display: flex;
    .manufacturer-group-box {
      display: flex;
      width: 100%;
      flex-direction: column;

      span.checkbox-holder {
        margin: 0 0 0 20px;
      }
    }
  }
  .mapping__options {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    .mapping__options-content {
      border: 1px solid var(--grey-border);
      padding: 25px;
      min-width: 330px;
      max-height: 150px;
      min-height: 150px;
      overflow: auto;
      margin-right: 20px;
      // custom scrollbar
      .select-error {
        color: #f00;
      }
      &::-webkit-scrollbar {
        width: 5px;
        height: 5px;
      }
      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }
      &::-webkit-scrollbar-thumb {
        background: #dcdcdc;
        border-radius: 10px;
      }
      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }
  }
  .react-tagsinput-tag {
    background-color: #ffffff;
    border-radius: 2px;
    border: 1px solid var(--primary);
    color: #000000;
  }
  .react-tagsinput-input {
    width: 250px;
  }
  .react-tagsinput--focused {
    border: 1px solid var(--primary);
  }
  .select-input {
    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
      position: absolute;
    }
    .select-error {
      color: #f00;
    }
    .error-input {
      border: 1px solid #f00;
      padding-bottom: 2px;
    }
  }

  .device-manufacturer-setting-list {
    margin-top: 89px;
    .table-container
      .table-container__table
      .ReactTable
      .rt-table
      .rt-thead.-header:first-child {
      padding-left: 0;
    }
  }
  .category-inputs {
    .email-tag {
      .heading {
        font-weight: 700 !important;
      }
      .contains-not-contains {
        margin: 0px -15px;
      }
    }
  }
}
.key-mappings {
  padding: 35px;
  .heading {
    margin: 0px 0px 5px -15px;
    font-weight: 600;
  }

  .key-mappings-inner {
    border: 1px solid #ccc;
    flex-wrap: wrap;
    display: flex;

    .key-tags {
      padding: 10px;

      .field__label.row {
        padding-left: 15px;
      }
      .react-tagsinput-input {
        width: 115px;
      }
      .show-error {
        color: red;
      }
      .field__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-xs);
        position: absolute;
      }
    }
  }
}

.error-input {
  border: 1px solid #f00;
  padding-bottom: 2px;
}
